From: Jonatan Schlag <jonatan.schlag@ipfire.org>
To: network@lists.ipfire.org
Subject: [PATCH 5/5] config hook: generate new id inside hook_new
Date: Sat, 12 Aug 2017 12:22:29 +0200 [thread overview]
Message-ID: <1502533349-13935-5-git-send-email-jonatan.schlag@ipfire.org> (raw)
In-Reply-To: <1502533349-13935-1-git-send-email-jonatan.schlag@ipfire.org>
[-- Attachment #1: Type: text/plain, Size: 3746 bytes --]
The hook_parse_cmdline function takes as first argument the id so
we need to generate the id inside hook_new
Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
---
src/hooks/configs/dhcp | 9 +++++++--
src/hooks/configs/ipv4-static | 9 +++++++--
src/hooks/configs/ipv6-auto | 9 +++++++--
src/hooks/configs/ipv6-static | 9 +++++++--
src/hooks/configs/pppoe-server | 9 +++++++--
5 files changed, 35 insertions(+), 10 deletions(-)
diff --git a/src/hooks/configs/dhcp b/src/hooks/configs/dhcp
index f1c43f3..f2a3e56 100644
--- a/src/hooks/configs/dhcp
+++ b/src/hooks/configs/dhcp
@@ -76,12 +76,17 @@ hook_new() {
return ${EXIT_ERROR}
fi
- if ! hook_parse_cmdline $@; then
+ # Get a new id
+ local id=$(zone_config_get_new_id ${zone})
+ assert isinteger id
+ log DEBUG "ID for the config is: ${id}"
+
+ if ! hook_parse_cmdline ${id} $@; then
# Return an error if the parsing of the cmd line fails
return ${EXIT_ERROR}
fi
- zone_config_settings_write "${zone}" "${HOOK}"
+ zone_config_settings_write "${zone}" "${HOOK}" ${id}
exit ${EXIT_OK}
}
diff --git a/src/hooks/configs/ipv4-static b/src/hooks/configs/ipv4-static
index a6b010f..233fb10 100644
--- a/src/hooks/configs/ipv4-static
+++ b/src/hooks/configs/ipv4-static
@@ -120,12 +120,17 @@ hook_new() {
assert zone_exists "${zone}"
- if ! hook_parse_cmdline $@; then
+ # Get a new id
+ local id=$(zone_config_get_new_id ${zone})
+ assert isinteger id
+ log DEBUG "ID for the config is: ${id}"
+
+ if ! hook_parse_cmdline ${id} $@; then
# Return an error if the parsing of the cmd line fails
return ${EXIT_ERROR}
fi
- zone_config_settings_write "${zone}" "${HOOK}"
+ zone_config_settings_write "${zone}" "${HOOK}" ${id}
exit ${EXIT_OK}
}
diff --git a/src/hooks/configs/ipv6-auto b/src/hooks/configs/ipv6-auto
index e89af28..7c82d45 100644
--- a/src/hooks/configs/ipv6-auto
+++ b/src/hooks/configs/ipv6-auto
@@ -62,12 +62,17 @@ hook_new() {
return ${EXIT_ERROR}
fi
- if ! hook_parse_cmdline $@; then
+ # Get a new id
+ local id=$(zone_config_get_new_id ${zone})
+ assert isinteger id
+ log DEBUG "ID for the config is: ${id}"
+
+ if ! hook_parse_cmdline ${id} $@; then
# Return an error if the parsing of the cmd line fails
return ${EXIT_ERROR}
fi
- zone_config_settings_write "${zone}" "${HOOK}"
+ zone_config_settings_write "${zone}" "${HOOK}" ${id}
exit ${EXIT_OK}
}
diff --git a/src/hooks/configs/ipv6-static b/src/hooks/configs/ipv6-static
index bb75240..313adc0 100644
--- a/src/hooks/configs/ipv6-static
+++ b/src/hooks/configs/ipv6-static
@@ -71,12 +71,17 @@ hook_new() {
local zone=${1}
shift
- if ! hook_parse_cmdline $@; then
+ # Get a new id
+ local id=$(zone_config_get_new_id ${zone})
+ assert isinteger id
+ log DEBUG "ID for the config is: ${id}"
+
+ if ! hook_parse_cmdline ${id} $@; then
# Return an error if the parsing of the cmd line fails
return ${EXIT_ERROR}
fi
- zone_config_settings_write "${zone}" "${HOOK}"
+ zone_config_settings_write "${zone}" "${HOOK}" ${id}
exit ${EXIT_OK}
}
diff --git a/src/hooks/configs/pppoe-server b/src/hooks/configs/pppoe-server
index 5861e70..64d700b 100644
--- a/src/hooks/configs/pppoe-server
+++ b/src/hooks/configs/pppoe-server
@@ -110,12 +110,17 @@ hook_new() {
return ${EXIT_ERROR}
fi
- if ! hook_parse_cmdline $@; then
+ # Get a new id
+ local id=$(zone_config_get_new_id ${zone})
+ assert isinteger id
+ log DEBUG "ID for the config is: ${id}"
+
+ if ! hook_parse_cmdline ${id} $@; then
# Return an error if the parsing of the cmd line fails
return ${EXIT_ERROR}
fi
- zone_config_settings_write "${zone}" "${HOOK}"
+ zone_config_settings_write "${zone}" "${HOOK}" ${id}
exit ${EXIT_OK}
}
--
2.6.3
next prev parent reply other threads:[~2017-08-12 10:22 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-08-12 10:22 [PATCH 1/5] zone: zone_config_check_same_setting check for config to edit Jonatan Schlag
2017-08-12 10:22 ` [PATCH 2/5] zone: zone_config_settings_write never generate an id Jonatan Schlag
2017-08-12 10:22 ` [PATCH 3/5] header-config: pass id to hook_parse_cmdline Jonatan Schlag
2017-08-12 10:22 ` [PATCH 4/5] config hooks: hook_parse_cmdline take id as an argument Jonatan Schlag
2017-08-12 10:22 ` Jonatan Schlag [this message]
2017-08-13 12:10 ` [PATCH 1/5] zone: zone_config_check_same_setting check for config to edit Michael Tremer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1502533349-13935-5-git-send-email-jonatan.schlag@ipfire.org \
--to=jonatan.schlag@ipfire.org \
--cc=network@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox